# jaid-web

jaid-web contains [React](https://github.com/facebook/react) components, utilities and templates for a quick and efficient web app setup using:
- [npm](https://github.com/npm/npm) (package manager)
- [Gulp](https://github.com/gulpjs/gulp) (build system)
- [Webpack](https://github.com/webpack/webpack) (compiler)
- [React](https://github.com/facebook/react) (frontend framework)
- [PostCSS](https://github.com/postcss/postcss) (CSS processor)
- [OfflinePlugin](https://github.com/NekR/offline-plugin) (ServiceWorker helper)

:warning: This project is currently in alpha, may break your stuff and should be used for inspiration rather than installation.

## Installation

Latest "stable" version:

npm
```bash
npm install --save jaid-web
```

Yarn
```bash
yarn add jaid-web
```

Latest build:

npm
```bash
npm install github:jaid/jaid-web
```

Yarn
```bash
yarn add github:jaid/jaid-web
```

## Using the React components

```JSX
import React from "react"
import ImageOpener from "jaid-web"
```

You can find a list of all components [here](https://github.com/Jaid/jaid-web/tree/master/components).
